/settings/balance-currencyUpdates the balance currency settings for your account.
You can only change preferred. Paddle then updates primary to match, but when depends on your account.
If more than one currency is in enabled, Paddle updates primary immediately. preferred must be one of the currencies in enabled, otherwise the request returns an invalid_field error.
Otherwise, Paddle updates primary when your balance is zero. That's immediately if it's already zero, or after your next payout if it isn't. Until then, primary and preferred are different.
If successful, your response includes a copy of the updated balance currency settings entity.
balance_currency.write permission.Request body
enabled, it must be one of them.AUDAustralian DollarCADCanadian DollarEUREuroGBPPound SterlingUSDUnited States Dollar
Response (200)
preferred, Paddle updates this to match. That's immediately if more than one currency is in enabled or your balance is zero, otherwise after your next payout.AUDAustralian DollarCADCanadian DollarEUREuroGBPPound SterlingUSDUnited States Dollar
AUDAustralian DollarCADCanadian DollarEUREuroGBPPound SterlingUSDUnited States Dollar
AUDAustralian DollarCADCanadian DollarEUREuroGBPPound SterlingUSDUnited States Dollar
b15ec92e-8688-40d4-a04d-f44cbec93355{ "preferred": "GBP"}{ "data": { "primary": "USD", "preferred": "GBP", "enabled": [ "USD" ] }, "meta": { "request_id": "9bcdcc29-e180-4055-ad3d-d37e5dc5e56d" }}